Pkgcheck Warnings

  • All Versions
    • RedundantVersion
      slot(0) keywords are overshadowed by version: 1.8.1
    • RequiredUseDefaults
      profile: 'default/linux/amd64/17.0/x32' (2 total) failed REQUIRED_USE: ( abi_x86_32 || abi_x86_64 )
    • RequiredUseDefaults
      profile: 'default/linux/amd64/17.0/musl' (48 total) failed REQUIRED_USE: exactly-one-of ( systemd elogind )
    • RequiredUseDefaults
      profile: 'default/linux/amd64/17.0/x32' (2 total) failed REQUIRED_USE: ( abi_x86_32 || abi_x86_64 )
    • RequiredUseDefaults
      profile: 'default/linux/amd64/17.0/musl' (48 total) failed REQUIRED_USE: exactly-one-of ( systemd elogind )
    • UnstableOnly
      for arches: [ amd64, x86 ], all versions are unstable: [ 1.7, 1.8.1 ]
  • 9999
    • 1.8.1
      • RequiredUseDefaults
        profile: 'default/linux/amd64/17.0/musl' (48 total) failed REQUIRED_USE: exactly-one-of ( systemd elogind )
      • RequiredUseDefaults
        profile: 'default/linux/amd64/17.0/x32' (2 total) failed REQUIRED_USE: ( abi_x86_32 || abi_x86_64 )
    • 1.7
      • RedundantVersion
        slot(0) keywords are overshadowed by version: 1.8.1
      • RequiredUseDefaults
        profile: 'default/linux/amd64/17.0/x32' (2 total) failed REQUIRED_USE: ( abi_x86_32 || abi_x86_64 )
      • RequiredUseDefaults
        profile: 'default/linux/amd64/17.0/musl' (48 total) failed REQUIRED_USE: exactly-one-of ( systemd elogind )

    Pkgcheck is used regularly to generate QA reports. Pkgcheck is a pkgcore-based QA utility for ebuild repos.